Name: fetchmail
Version: 6.2.1
Release: alt1

Summary: Full-featured POP/IMAP mail retrieval daemon
License: GPL
Group: Networking/Mail
Url: http://www.tuxedo.org/~esr/%name
Packager: Mikhail Zabaluev <mhz@altlinux.ru>

Source: %url/%name-%version.tar.bz2
Source1: %name.init
Source2: %name.sysconfig
Source10: fetchmailconf-large.png
Source11: fetchmailconf-mini.png
Source12: fetchmailconf.png

Patch0: %name-6.1.0-cflags.patch
Patch1: %name-5.6.2-contrib.patch
Patch2: %name-5.9.11-fetchmailconf.patch
Patch3: %name-6.1.0-nopermcheck.patch
Patch6:	%name-5.9.11-verbose.patch

Requires: MTA, MDA, setup >= 2.1.9-ipl15mdk

BuildRequires: autoconf >= 2.52

# Automatically added by buildreq on Wed Oct 23 2002
BuildRequires: XFree86-devel flex libssl-devel

%package -n %{name}conf
Summary: A utility for graphically configuring your %name preferences.
Group: System/Configuration/Networking
Requires: %name = %version-%release, tkinter

%package daemon
Summary: SySV init script for demonize %name for sucking emails
Group: System/Servers
Requires: %name = %version-%release
PreReq: shadow-utils, chkconfig

%package contrib
Summary: Various contributed software designed to work with %name
Group: System/Base
Requires: %name = %version-%release

%description
Fetchmail is a free, full-featured, robust, and well-documented remote mail
retrieval and forwarding utility intended to be used over on-demand TCP/IP
links (such as SLIP or PPP connections).

It retrieves mail from remote mail servers and forwards it to your local
(client) machine's delivery system, so it can then be read by normal
mail user agents such as Mutt, Elm, Pine, (X)Emacs/Gnus or Mailx.

It comes with an interactive GUI configurator suitable for end-users.

Fetchmail supports every remote-mail protocol currently in use on the
Internet (POP2, POP3, RPOP, APOP, KPOP, all IMAPs, ESMTP ETRN) for
retrieval.  Then Fetchmail forwards the mail through SMTP, so you can
read it through your normal mail client.

%description -n %{name}conf
Fetchmailconf is a TCL/TK application for graphically configuring your
~/.%{name}rc preferences file.

Fetchmail has many options which can be daunting to the new user.

This utility takes some of the guesswork and hassle out of setting up %name.

%description daemon
SySV init script for demonize %name for sucking emails.

%description contrib
Various contributed software designed to work with %name.

%prep
%setup -q
%patch0 -p1 -b .patch-cflags
%patch1 -p1 -b .patch-contrib
%patch2 -p1 -b .patch-fetchmailconf
%patch3 -p1 -b .patch-nopermcheck
%patch6 -p1 -b .patch-verbose

%build
# Fix gettextization.
if [ ! -s po/LINGUAS ]; then
	%__sed -ne 's/^ALL_LINGUAS="\([^"]*\)"$/\1/p' configure.in >>po/LINGUAS
	%__subst 's/^\(ALL_LINGUAS=\)/#\1/g' configure.in
fi

# needed by patch0
%set_autoconf_version 2.5
%__aclocal
%__autoconf
export ac_cv_path_procmail=/usr/bin/procmail
export ac_cv_path_sendmail=/usr/sbin/sendmail
export ac_cv_lib_intl_gettext=no
%configure \
	--enable-nls \
	--with-ssl \
	--enable-RPA \
	--enable-NTLM \
	--enable-SDPS \
	--without-kerberos \
	--without-kerberos5
# SMP-incompatible
%make

%install
%makeinstall mandir=$RPM_BUILD_ROOT%_man1dir

%__mkdir_p $RPM_BUILD_ROOT%_libdir/rhs/control-panel
%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/X11/wmconfig
%__install -p -m644 rh-config/*.{xpm,init} $RPM_BUILD_ROOT%_libdir/rhs/control-panel
%__rm -rf contrib/RCS
%__chmod 644 contrib/*
%__cp rh-config/fetchmailconf.wmconfig \
    $RPM_BUILD_ROOT%_sysconfdir/X11/wmconfig/fetchmailconf

%__install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/%name
%__install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/%name

touch $RPM_BUILD_ROOT%_sysconfdir/%{name}rc

%__install -d -m700 $RPM_BUILD_ROOT%_localstatedir/%name

# Menu entry
%__mkdir_p $RPM_BUILD_ROOT/{%_liconsdir,%_miconsdir,%_menudir}
cat << EOF >$RPM_BUILD_ROOT%_menudir/%{name}conf
?package(%{name}conf): command="%{name}conf" icon="%{name}conf.png" \
needs="x11" title="Fetchmail Configuration" \
longtitle="Configuration tool for Fetchmail" section="Networking/Mail" 
EOF

%__install -m644 %SOURCE10 $RPM_BUILD_ROOT%_liconsdir/%{name}conf.png
%__install -m644 %SOURCE11 $RPM_BUILD_ROOT%_miconsdir/%{name}conf.png
%__install -m644 %SOURCE12 $RPM_BUILD_ROOT%_iconsdir/%{name}conf.png

%find_lang %name

cat >README.%name-conf <<EOF
Fetchmailconf is a TCL/TK application for graphically configuring your
~/.fetchmailrc preferences file.

Fetchmail has many options which can be daunting to the new user.

This utility takes some of the guesswork and hassle out of setting up
fetchmail.
EOF

%post -n %{name}conf
%update_menus

%postun -n %{name}conf
%clean_menus

%pre -n %name-daemon
/usr/sbin/groupadd -rf %name
/usr/sbin/useradd -r -n -M -g %name -d %_localstatedir/%name -s /dev/null %name &>/dev/null ||:
#install -d -m700 -o %name -g %name %_localstatedir/%name

%post -n %name-daemon
%post_service %name

%preun -n %name-daemon
%preun_service %name

%files -f %name.lang
%_bindir/%name
%_man1dir/%name.*
%doc FAQ FEATURES NEWS NOTES README TODO *.html

%files -n %{name}conf
%_bindir/%{name}conf
%_menudir/*
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%_libdir/rhs/control-panel/*
%_man1dir/%{name}conf.*
%doc README.%name-conf

%files daemon
%attr(640,root,%name) %config(noreplace,missingok) %_sysconfdir/%{name}rc
%config(noreplace) %_sysconfdir/sysconfig/%name
%config(noreplace) %_initdir/%name
%attr(700,%name,%name) %_localstatedir/%name

%files contrib
%doc contrib/*

%changelog
* Fri Feb 07 2003 Mikhail Zabaluev <mhz@altlinux.ru> 6.2.1-alt1
- 6.2.1

* Tue Dec 17 2002 Dmitry V. Levin <ldv@altlinux.org> 6.2.0-alt2
- Fixed to build with any version of gettext.

* Tue Dec 17 2002 Mikhail Zabaluev <mhz@altlinux.ru> 6.2.0-alt1
- 6.2.0
- BuildRequires on a fresh gettext, build broke with previous versions

* Thu Nov 28 2002 Mikhail Zabaluev <mhz@altlinux.ru> 6.1.3-alt1
- 6.1.3

* Sun Nov 03 2002 Mikhail Zabaluev <mhz@altlinux.ru> 6.1.2-alt2
- fix permissions for icons

* Fri Nov 01 2002 Mikhail Zabaluev <mhz@altlinux.ru> 6.1.2-alt1
- 6.1.2

* Wed Oct 23 2002 Dmitry V. Levin <ldv@altlinux.org> 6.1.1-alt3
- Precache gettext, procmail and sendmail parameters for %%configure.

* Tue Oct 22 2002 Mikhail Zabaluev <mhz@altlinux.ru> 6.1.1-alt2
- Explicitly use autoconf 2.5x

* Sat Oct 19 2002 Mikhail Zabaluev <mhz@altlinux.ru> 6.1.1-alt1
- 6.1.1

* Thu Oct 03 2002 Mikhail Zabaluev <mhz@altlinux.ru> 6.1.0-alt2
- Patch by Sunil Shetye fixing a bug with skipping emails for POP3

* Wed Sep 25 2002 Mikhail Zabaluev <mhz@altlinux.ru> 6.1.0-alt1
- 6.1.0
- Unconditionally remove the lockfile on stop, because fetchmails might get
  killed off by hand

* Wed Jun 05 2002 Mikhail Zabaluev <mhz@altlinux.ru> 5.9.12-alt1
- 5.9.12
- Patch by ldv: the init script now honors UID_MIN from /etc/login.defs,
  but, sadly enough, duplicates part of the code that is in daemon()

* Sun May 19 2002 Mikhail Zabaluev <mhz@altlinux.ru> 5.9.11-alt2
- Fixed the nopermcheck code: uidlist file always needs to be checked.

* Sun May 19 2002 Mikhail Zabaluev <mhz@altlinux.ru> 5.9.11-alt1
- 5.9.11. After all that time, someone's looking after it
- Renewed fetchmailconf patch
- More clean nopermcheck patch
- Synced with 5.9.11-6mdk, many a patch added from there, icons as well.
- Removed MANIFEST from docs

* Mon Aug 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.9.0-alt1
- 5.9.0

* Thu Aug 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.8.17-alt1
- 5.8.17

* Mon Aug 06 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.8.16-alt1
- 5.8.16

* Wed Aug 01 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.8.15-alt1
- 5.8.15

* Tue Jul 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.8.14-alt1
- 5.8.14

* Wed Jul 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.8.13-alt1
- 5.8.13

* Wed Jun 27 2001 Stanislav Ievlev <inger@altlinux.ru> 5.8.10-alt2
- Rebuilt with python-2.1

* Tue Jun 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.8.10-alt1
- 5.8.10

* Fri Jun 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.8.8-alt1
- 5.8.8

* Mon Jun 18 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.8.7-alt1
- 5.8.7

* Wed Jun 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.8.6-alt1
- 5.8.6

* Wed May 30 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.8.5-alt1
- 5.8.5
- New server macros.

* Tue May 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.8.4-alt1
- 5.8.4

* Thu May 09 2001 Rider <rider@altlinux.ru> 5.8.2-alt1
- 5.8.2

* Wed Apr 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.8.1-alt1
- 5.8.1

* Tue Apr  1 2001 Rider <rider@altlinux.ru> 5.8.0-alt1
- 5.8.0

* Thu Mar 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.7.7-alt1
- 5.7.7

* Tue Mar 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.7.6-alt1
- 5.7.6

* Tue Mar 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.7.4-ipl1mdk
- 5.7.4

* Mon Mar 12 2001 Peter 'Nidd' Novodvorsky <nidd@altlinux.ru> 5.7.2-ipl3mdk
- Fetchmail grabs ~/.fetchmailrc's for now

* Tue Mar 06 2001 Dmitry V. Levin <ldv@fandra.org> 5.7.2-ipl1mdk
- 5.7.2

* Sat Mar 03 2001 Dmitry V. Levin <ldv@fandra.org> 5.7.0-ipl1mdk
- 5.7.0

* Fri Feb 23 2001 Dmitry V. Levin <ldv@fandra.org> 5.6.8-ipl1mdk
- 5.6.8

* Tue Feb 20 2001 Dmitry V. Levin <ldv@fandra.org> 5.6.7-ipl1mdk
- 5.6.7

* Mon Feb 19 2001 Dmitry V. Levin <ldv@fandra.org> 5.6.6-ipl1mdk
- 5.6.6

* Wed Jan 31 2001 Dmitry V. Levin <ldv@fandra.org> 5.6.2-ipl2mdk
- Fixed Requires.

* Sat Jan 20 2001 Dmitry V. Levin <ldv@fandra.org> 5.6.2-ipl1mdk
- RE adaptions.
- Moved contrib stuff to its own subpackage.
- Modified %name-daemon to run fetchmail daemon as non-root.

* Mon Nov 27 2000 Geoffrey lee <snailtalk@mandrakesoft.com> 5.6.0-1mdk
- new and shiny source bumped into cooker.

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.5.6-1mdk
- new and shiny release.

* Wed Oct 18 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.5.5-1mdk
- shiny new version.
- use %%package daemon instead of with the -n flag, an old A.Skwar desire ..

* Wed Oct 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.5.2-6mdk
- requires MailTransportAgent smtpdaemon instead of smtpdaemon thus
  enabling fetchmail to be installed with only procmail.

* Tue Oct 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.5.2-5mdk
- fix bad iconizifaction and menufication from daouda

* Wed Oct 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.5.2-4mdk
- fix status report in /etc/init.d/ script

* Wed Oct 04 2000 Daouda Lo <daouda@mandrakesoft.com> 5.5.2-3mdk
- provide all icons
- menu is in spec file

* Thu Sep 28 2000 Daouda Lo <daouda@mandrakesoft.com> 5.5.2-2mdk
- set /etc/fetchmailrc permission to 600
- add 32*32 icon to fetchmailconf

* Thu Sep 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.5.2-1mdk
- new release (security fix) :  this is a 3 one-liner patch (2 more includes
  and an bad crypt function call

* Mon Sep 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.5.1-2mdk
- s!-f!-s so that fetchmail-daemon is disabled on first boot until a valid
  config file is provided.

* Mon Aug 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.5.1-1mdk
- new release (maily bug fixes)

* Fri Aug 18 2000 David BAUDENS <baudens@mandrakesoft.com> 5.4.5-2mdk
- Fix menu entry
- Remove locales %%Description (need to be in po, not in spec)

* Mon Aug 07 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.4.5-1mdk
- new release

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.4.4-4mdk
- automatically added BuildRequires

* Thu Jul 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.4.4-3mdk
- re enable ssl :-) as we can now provide it :-)

* Mon Jul 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.4.4-2mdk
- disable ssl as we cannot provide it

* Mon Jul 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.4.4-1mdk
- new release
- spec cleaning

* Fri Jul 14 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 5.4.3-4mdk
- fixed fetchmailrc permission
- removed _sysconfdir

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.4.3-3mdk
- fix fetchamil-dameon group, invalid directories permissions, config files,
  ... and make rpmlint a lot happier :-)
- Christian Zoffoli <czoffoli@linux-mandrake.com>
	* macroszifications
	* cleanup in spec
	* daemon package
	* RPA protocol support
	* NTLM authentication support
	* SDPS protocol support
	* SSL support
	* IPv6 support disabled  --> instable

* Thu Jul 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.4.3-2mdk
- add pablo stuff for compatibility with bogus distro

* Tue Jul 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.4.3-1mdk
- reenable NLS
- use new macros
- From Christian Zoffoli <czoffoli@linux-mandrake.com> :
	* new release
	* enable IPv6

* Fri Jun 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.4.2-1mdk
- new release

* Mon Jun 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 5.4.1-1mdk
- 5.4.1 that corrects a bug which was causing hangs
  (thanks to Christian Zoffoli <czoffoli@littlepenguin.org>)
- changed copyright to GPL
  (thanks to Geoffrey Lee <snailtalk@linux-mandrake.com>)
- added url

* Thu Jun 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.4.0-1mdk
- new release

* Thu May 11 2000 Pixel <pixel@mandrakesoft.com> 5.3.8-4mdk
- remove lang

* Thu May 11 2000 Pixel <pixel@mandrakesoft.com> 5.3.8-3mdk
- *much* cleanup

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 5.3.8-2mdk
- menu entry only for fetchmail conf .
- fix an odd bug: fetchmail didn't see .fetchmailrc at all

* Thu Apr 27 2000 Daouda Lo <daouda@mandrakesoft.com> 5.3.8-1mdk
- release 5.3.8 -> fix seg faults happening in some case (maurizio )!
- add menu entry and icons to fetchmailconf
- SMP build /check
- full support for internationalisation.

* Mon Apr 17 2000 Daouda Lo <daouda@mandrakesoft.com> 5.3.7-1mdk
- release  5.3.7

* Sun Apr 09 2000 Daouda Lo <daouda@mandrakesoft.com> 5.3.6-1mdk
- new release 5.3.6
- french internationalization updated.
- make rpmlint happy !
- now support for BeOs.

* Mon Apr 03 2000 Daouda Lo <daouda@mandrakesoft.com> 5.3.5-1mdk
- new release
- cleanup spec
- rpmlint run smoothly without any warnings or errors (first time it happens to
  me :-)

* Wed Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 5.3.3-2mdk
- fix group for both fetchmail and fetchmailconf

* Tue Mar 14 2000 Daouda LO <daouda@mandrakesoft.com> 5.3.3-1mdk
- 5.3.3
- adjust group

* Mon Mar 06 2000 Daouda LO <daouda@mandrakesoft.com>
- 5.3.1

* Sat Feb 05 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 5.2.6-1mdk
- Update to 5.2.6

* Thu Dec 09 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix wrong man-pages soft links

* Thu Dec 02 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- build release for Oxygen

* Thu Sep 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 5.1.0 (security fixes)

* Mon Sep 06 1999 Daouda LO <daouda@mandrakesoft.com>
-5.0.7
-add manifest in doc section ;->

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 5.0.3
- Mandrake adaptions

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- 5.0.0

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- subpackage for fetchmailconf

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- version 4.7.0
- build against glibc 2.1

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- correct typo in dangling symlink fix.

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- update to 4.5.8

* Wed Jul 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.5.3.

* Fri May 08 1998 Cristian Gafton <gafton@redhat.com>
- fixed spelung eror in the decsriptoin

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- new version 4.4.4 fixes a lot of bugs

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 4.4.1
- buildroot

* Thu Oct 23 1997 Michael Fulbright <msf@redhat.com>
- Updated to 4.3.2 using SRPM from Eric Raymond

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
